익스플로러 버전별 호환성 쿼크 설정

익스플로러의 최대 단점은 버전별로 보여지는 웹의 모습이 많이 다르다는 것입니다.
그래서 익스 버전별로 디버깅 하면서 퍼블리싱을 하는 회사가 지금도 많죠.
사용자마다 익스 버전이 다르니 하나라도 틀어지면 고객센터 메일이 많이 쌓이겠죠.

그래서 마이크로는 X-UA-Compatible 태그로 웹의 호환성을 지정할 수 있도록 하였습니다.

바로  X-UA-Compatible 태그입니다.

1
2
3
4
5
6
<meta http-equiv="X-UA-Compatible" content="IE=5" />
<meta http-equiv="X-UA-Compatible" content="IE=6" />
<meta http-equiv="X-UA-Compatible" content="IE=7" />
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<meta http-equiv="X-UA-Compatible" content="IE=9" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
cs



위의 태그는 말그대로 개발된 환경을 기록하면
브라우저는 그 버전으로 해당 웹을 호환성 보기로 오픈을 합니다.

edge라고 기록된건 IE 브라우저의 최신 버전의 엔진을 사용하라는 뜻이다.
1
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
cs

결국은 웹을 개발했다면 edge 태그를 기록해야 합니다.
과거 브라우저에 최적화 됐다면 그건 잘못된 사이트이기 때문입니다.

▼어떤 학원 사이트를 접속해보았습니다.
(사이트 주소는 밝히지 않겠습니다. 이유는 말 안해도 아실 듯 합니다.)
X-UA-Compatible 태그의 IE=10 이라고 기록되어 있습니다.
10버전으로 개발하였고 10버전 브라우저로 확인해야 한다는 뜻입니다.


▼해당 사이트를 익스에서 확인해보니 10 버전이 기본값으로 
설정이 되어 열린게 보입니다. 호환성 버전으로 발생하는 상이한 오류를 
어느정도는 해결 할 수 있겠네요.


▼이번엔 어떤 심리 검사 사이트를 접속 해봤습니다.
X-UA-Compatible 태그가 모두 지정되어 있습니다.
개발자가 이해를 잘못한 사례 입니다. 모든 버전에서 사용가능한 사이트라고 하면
edge만 기록해주면 되는데 말이죠



이런 작은 메타 정보 하나가
사이트의 수준을 좌우 하니

맡고 계신 사이트의 메타 정보를 지금 확인 해보시는건 어떨까요?


마무리


그냥 다같이 크롬 쓰면 안될까요?


댓글을 달아 주세요